<?php
namespace Teknisa\EST\Modules\Lancamentos\Controllers;

use Teknisa\EST\Controllers\TeknisaCrud;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class ItrequestoItensRequisicao extends TeknisaCrud {

    protected $dataSourceName = "itrequesto_itens_requisicao";
    protected $parameterBagColumns = ['CDFILIAL','NRREQUESTO','IDSTITREQU'];

    //Essa função em como finalidade gerar o sequencial do item da retirada
    //a partir da propria requisição.
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
        $dataSets = $response->getDataSets();
        $dataSet = $dataSets[0];
        $rows = $dataSet->getRows();

        for($i = 0; $i < count($rows); $i++) {
            $rows[$i]['NRSEQUITEM'] = $i + 1;
        }

        $dataSet = new DataSet('itrequesto_itens_requisicao', $rows);
        $response->setDataSets(array($dataSet));
    }
}
